Public Types | Public Member Functions

# Driver Class Reference

A driver for communicating with the user. More...

`#include <driver.h>`

Inheritance diagram for Driver:

## Public Types
enum | Type { DT_BEGIN = 0, DT_MUSIC = 0, DT_SOUND, DT_VIDEO, DT_END }
| The type of driver. More...
## Public Member Functions
virtual const char * | Start (const char *const *parm)=0
| Start this driver.
virtual void | Stop ()=0
| Stop this driver.
virtual const char * | GetName () const =0
| Get the name of this driver.

## Detailed Description

A driver for communicating with the user.

Definition at line 24 of file driver.h.

## Member Enumeration Documentation

enum Driver::Type

The type of driver.

Enumerator:

  DT_BEGIN | Helper for iteration.
  DT_MUSIC | A music driver, needs to be before sound to properly shut down extmidi forked music players.
  DT_SOUND | A sound driver.
  DT_VIDEO | A video driver.
  DT_END | Helper for iteration.

Definition at line 41 of file driver.h.

## Member Function Documentation

virtual const char* Driver::GetName | ( |  | ) | const`[pure virtual]`

Get the name of this driver.

Returns:
  The name of the driver.

Implemented in MusicDriver_Allegro, MusicDriver_BeMidi, MusicDriver_Cocoa, MusicDriver_DMusic, MusicDriver_ExtMidi, MusicDriver_LibTimidity, MusicDriver_Null, MusicDriver_OS2, MusicDriver_QtMidi, MusicDriver_Win32, SoundDriver_Allegro, SoundDriver_Cocoa, SoundDriver_Null, SoundDriver_SDL, SoundDriver_Win32, VideoDriver_Allegro, VideoDriver_Cocoa, VideoDriver_Dedicated, VideoDriver_Null, VideoDriver_SDL, and VideoDriver_Win32.

Referenced by CrashLog::LogConfiguration(), and MusicDriver_ExtMidi::Start().

virtual const char* Driver::Start | ( | const char *const * | parm | ) | `[pure virtual]`

Start this driver.

Parameters:

  | parm | Parameters passed to the driver.

Returns:
  NULL if everything went okay, otherwise an error message.

Implemented in MusicDriver_Allegro, MusicDriver_BeMidi, MusicDriver_Cocoa, MusicDriver_DMusic, MusicDriver_ExtMidi, MusicDriver_LibTimidity, MusicDriver_Null, MusicDriver_OS2, MusicDriver_QtMidi, MusicDriver_Win32, SoundDriver_Allegro, SoundDriver_Cocoa, SoundDriver_Null, SoundDriver_SDL, SoundDriver_Win32, VideoDriver_Allegro, VideoDriver_Cocoa, VideoDriver_Dedicated, VideoDriver_Null, VideoDriver_SDL, and VideoDriver_Win32.

Referenced by DriverFactoryBase::SelectDriver().

The documentation for this class was generated from the following file:

- src/driver.h